# Session::getDefaultSchema

(No version information available, might only be in Git)

Session::getDefaultSchema — Get default schema name

### Description

public mysql_xdevapi\Session::getDefaultSchema ( void ) : string

Retrieve name of the default schema that's typically set in the connection URI.

### Parameters

This function has no parameters.

### Return Values

Name of the default schema defined by the connection, or `NULL` if one was not set.

### Examples

Example #1 mysql_xdevapi\Session::getSchema() example

`<?php
$uri = "mysqlx://testuser:testpasswd@localhost:33160/testx?ssl-mode=disabled";
$session = mysql_xdevapi\getSession($uri);
$schema = $session->getDefaultSchema();
echo $schema;
?>`

The above example will output:

    testx